Skip to main content
GET
/
api
/
knowledge_bases
/
{kb_id}
Get Knowledge Base
curl --request GET \
  --url https://api.example.com/api/knowledge_bases/{kb_id}
[
  {
    "id": 123,
    "knowledge_base_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "agent_id": 123,
    "context": "<string>",
    "context_url": "<string>",
    "vector_db_name_space": "<string>",
    "embedding_model": "<string>",
    "embedding_dimension": 123,
    "description": "<string>"
  }
]

Path Parameters

kb_id
integer
required

Response

Successful Response

id
integer
required
knowledge_base_name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
agent_id
integer | null
context
string | null
context_url
string | null
vector_db_name_space
string | null
embedding_model
string | null
embedding_dimension
integer | null
description
string | null